Index: pjproject/trunk/pjsip/build/wince-evc4/pjsip_ua_wince.vcp
===================================================================
--- pjproject/trunk/pjsip/build/wince-evc4/pjsip_ua_wince.vcp	(revision 797)
+++ pjproject/trunk/pjsip/build/wince-evc4/pjsip_ua_wince.vcp	(revision 1001)
@@ -5847,5 +2494,5 @@
 SOURCE="..\..\src\pjsip-ua\sip_xfer.c"
 
-!IF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE MIPSII_FP) Release"
+!IF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE emulator) Release"
 
 DEP_CPP_SIP_X=\
@@ -5908,5 +2555,85 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE MIPSII_FP) Debug"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE emulator) Debug"
+
+DEP_CPP_SIP_X=\
+	"..\..\..\pjlib-util\include\pjlib-util\config.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\dns.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\resolver.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\types.h"\
+	"..\..\..\pjlib\include\pj\addr_resolv.h"\
+	"..\..\..\pjlib\include\pj\array.h"\
+	"..\..\..\pjlib\include\pj\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\string.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
+	"..\..\..\pjlib\include\pj\ctype.h"\
+	"..\..\..\pjlib\include\pj\errno.h"\
+	"..\..\..\pjlib\include\pj\except.h"\
+	"..\..\..\pjlib\include\pj\fifobuf.h"\
+	"..\..\..\pjlib\include\pj\file_access.h"\
+	"..\..\..\pjlib\include\pj\file_io.h"\
+	"..\..\..\pjlib\include\pj\guid.h"\
+	"..\..\..\pjlib\include\pj\hash.h"\
+	"..\..\..\pjlib\include\pj\ioqueue.h"\
+	"..\..\..\pjlib\include\pj\list.h"\
+	"..\..\..\pjlib\include\pj\list_i.h"\
+	"..\..\..\pjlib\include\pj\lock.h"\
+	"..\..\..\pjlib\include\pj\log.h"\
+	"..\..\..\pjlib\include\pj\os.h"\
+	"..\..\..\pjlib\include\pj\pool.h"\
+	"..\..\..\pjlib\include\pj\pool_alt.h"\
+	"..\..\..\pjlib\include\pj\pool_buf.h"\
+	"..\..\..\pjlib\include\pj\pool_i.h"\
+	"..\..\..\pjlib\include\pj\rand.h"\
+	"..\..\..\pjlib\include\pj\rbtree.h"\
+	"..\..\..\pjlib\include\pj\sock.h"\
+	"..\..\..\pjlib\include\pj\sock_select.h"\
+	"..\..\..\pjlib\include\pj\string.h"\
+	"..\..\..\pjlib\include\pj\string_i.h"\
+	"..\..\..\pjlib\include\pj\timer.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
+	"..\..\..\pjlib\include\pj\unicode.h"\
+	"..\..\..\pjlib\include\pjlib.h"\
+	"..\..\include\pjsip-simple\evsub.h"\
+	"..\..\include\pjsip-simple\evsub_msg.h"\
+	"..\..\include\pjsip-simple\types.h"\
+	"..\..\include\pjsip-ua\sip_xfer.h"\
+	"..\..\include\pjsip\sip_auth.h"\
+	"..\..\include\pjsip\sip_auth_msg.h"\
+	"..\..\include\pjsip\sip_config.h"\
+	"..\..\include\pjsip\sip_dialog.h"\
+	"..\..\include\pjsip\sip_endpoint.h"\
+	"..\..\include\pjsip\sip_errno.h"\
+	"..\..\include\pjsip\sip_module.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_resolve.h"\
+	"..\..\include\pjsip\sip_transport.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4I) Release"
 
 DEP_CPP_SIP_X=\
@@ -5969,5 +2696,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE MIPSII) Release"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4I) Debug"
 
 DEP_CPP_SIP_X=\
@@ -6030,5 +2757,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE MIPSII) Debug"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4) Release"
 
 DEP_CPP_SIP_X=\
@@ -6091,5 +2818,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE SH4) Release"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4) Debug"
 
 DEP_CPP_SIP_X=\
@@ -6152,5 +2879,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE SH4) Debug"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4T) Release"
 
 DEP_CPP_SIP_X=\
@@ -6213,5 +2940,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE SH3) Release"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE ARMV4T) Debug"
 
 DEP_CPP_SIP_X=\
@@ -6274,5 +3001,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE SH3) Debug"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE x86) Release"
 
 DEP_CPP_SIP_X=\
@@ -6335,5 +3062,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE MIPSIV) Release"
+!ELSEIF  "$(CFG)" == "pjsip_ua_wince - Win32 (WCE x86) Debug"
 
 DEP_CPP_SIP_X=\
